KCFORESTMGR(1)

NAME
kcforestmgr - command line interface to manage the directory tree database

DESCRIPTION

The command `kcforestmgr' is a utility for test and debugging of the file tree database and its applications. `path' specifies the path of a database file. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input/output file.

    kcforestmgr create [-otr] [-onl|-otl|-onr] [-tc] [-bnum num] [-psiz num] [-rcd|-rcld|-rcdd] path
        Creates a database file.
    kcforestmgr inform [-onl|-otl|-onr] [-st] path
        Prints status information.
    kcforestmgr set [-onl|-otl|-onr] [-add|-app|-rep|-inci|-incd] [-sx] path key value
        Stores a record.
    kcforestmgr remove [-onl|-otl|-onr] [-sx] path key
        Removes a record.
    kcforestmgr get [-onl|-otl|-onr] [-rm] [-sx] [-px] [-pz] path key
        Prints the value of a record.
    kcforestmgr list [-onl|-otl|-onr] [-des] [-max num] [-rm] [-sx] [-pv] [-px] path [key]
        Prints keys of all records, separated by line feeds.
    kcforestmgr clear [-onl|-otl|-onr] path
        Removes all records of a database.
    kcforestmgr import [-onl|-otl|-onr] [-sx] path [file]
        Imports records from a TSV file.
    kcforestmgr copy [-onl|-otl|-onr] path file
        Copies the whole database.
    kcforestmgr dump [-onl|-otl|-onr] path [file]
        Dumps records into a snapshot file.
    kcforestmgr load [-otr] [-onl|-otl|-onr] path [file]
        Loads records from a snapshot file.
    kcforestmgr setbulk [-onl|-otl|-onr] path key value ...
        Store records at once.
    kcforestmgr removebulk [-onl|-otl|-onr] [-sx] path key ...
        Remove records at once.
    kcforestmgr getbulk [-onl|-otl|-onr] [-sx] [-px] path key ...
        Retrieve records at once.
    kcforestmgr check [-onl|-otl|-onr] path
        Checks consistency.

Options feature the following.

    -otr : opens the database with the truncation option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -tc : tunes the database with the compression option.
    -bnum num : specifies the number of buckets of the hash table.
    -psiz num : specifies the size of each page.
    -rcd : use the decimal comparator instead of the lexical one.
    -rcld : use the lexical descending comparator instead of the ascending one.
    -rcdd : use the decimal descending comparator instead of the lexical one.
    -st : prints miscellaneous information.
    -add : performs adding operation.
    -app : performs appending operation.
    -rep : performs replacing operation.
    -inci : performs integer increment operation.
    -incd : performs real number increment operation.
    -sx : the input data is evaluated as a hexadecimal data string.
    -rm : removes the record.
    -px : the output data is converted into a hexadecimal data string.
    -pz : does not append line feed at the end of the output.
    -des : visits records in descending order.
    -max num : specifies the maximum number of shown records.
    -pv : prints values of records also.

This command returns 0 on success, another on failure.

SEE ALSO

kcforesttest(1)